Package: groovy.lang

## [Java] Annotation Type Mixin

- groovy.lang.Mixin

-     @Deprecated(since = "2.3.0")
      @Documented
      @Retention(RetentionPolicy.SOURCE)
      @Target(ElementType.TYPE)
      @GroovyASTTransformationClass("org.codehaus.groovy.ast.MixinASTTransformation")
      public @interface Mixin

  Provides a mechanism for mixing in methods into a class.

  deprecated:
    Static mixins have been deprecated in favour of traits.

- - ### Element Summary

    Required Element Summary
    Type | Name and Description
    --- | ---
    `Class[]` | `value`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public Class[] value